%global momorel 5
%global __libtoolize : 

Summary:	An image viewer and browser for GNOME.
Name:		gthumb
Version: 2.10.8
%define mainver 2.10
Release: %{momorel}m%{?dist}
License:	GPL
URL:		http://gthumb.sourceforge.net/
Group:		Applications/Multimedia
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{mainver}/%{name}-%{version}.tar.bz2
NoSource: 0
Patch1:  gthumb-2.10.8-fix.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Prereq:		scrollkeeper
Prereq:		GConf
BuildPrereq: libgnomeprint22-devel
BuildPrereq: libgnomeprintui22-devel
BuildPrereq: libglade-devel
BuildPrereq: libgnomecanvas-devel
BuildPrereq: glib2-devel
BuildPrereq: bonobo-activation-devel
BuildPrereq: gnome-vfs2-devel
BuildPrereq: gtk2-devel
BuildPrereq: libbonoboui-devel
BuildPrereq: libbonobo-devel
BuildPrereq: libxml2-devel
BuildPrereq: libgnomeui-devel
BuildPrereq: libgnome-devel
BuildPrereq: libgphoto2-devel
BuildPrereq: libexif-devel
BuildPrereq: libtiff-devel
BuildPrereq: libtool >= 1.5.22
BuildPrereq: dbus-devel

%description
gThumb lets you browse your hard disk, showing you thumbnails of image files. 
It also lets you view single files (including GIF animations), add comments to
images, organize images in catalogs, print images, view slideshows, set your
desktop background, and more. 

%prep
%setup -q 
%patch1 -p1 -b .fix~

%build
%configure --disable-schemas-install \
    --disable-scrollkeeper
%make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

# delete icon-theme.cache
find %{buildroot} -name icon-theme.cache -delete

find %{buildroot}%{_libdir} -maxdepth 1 -name "*.la" -delete

%clean
rm -rf %{buildroot}

%post
scrollkeeper-update -q
update-desktop-database -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gthumb.schemas > /dev/null
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun
scrollkeeper-update -q
update-desktop-database -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%files
%defattr(-,root,root)
%doc AUTHORS NEWS README COPYING
%{_sysconfdir}/gconf/schemas/gthumb.schemas
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_libdir}/libgthumb.*
%{_libdir}/bonobo/servers/GNOME_GThumb.server
%{_mandir}/man1/gthumb.1*
%doc %{_datadir}/omf/gthumb
%doc %{_datadir}/gnome/help/gthumb
%{_datadir}/gthumb
%{_datadir}/locale/*/*/*.mo
%{_datadir}/icons/hicolor/48x48/apps/gthumb.png
%{_datadir}/applications/gthumb.desktop

%changelog
* Sat May 16 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.10.8-5m)
- define __libtoolize

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.10.8-4m)
- rebuild against rpm-4.6

* Sun Jan  4 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.10.8-3m)
- add patch to fix compilation error

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.10.8-2m)
- rebuild against gcc43

* Thu Jan  3 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.10.8-1m)
- update to 2.10.8

* Fri Oct 19 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.10.7-1m)
- update to 2.10.7

* Wed Aug 29 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.10.6-1m)
- update 2.10.6

* Sat Jun 30 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.10.5-1m)
- update to 2.10.5 (Fixed bug #448644)

* Fri May 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.10.2-1m)
- update to 2.10.2

* Wed Mar 28 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.10.1-1m)
- update to 2.10.1

* Tue Mar 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.10.0-1m)
- update to 2.10.0

* Tue Feb 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.8.0-2m)
- delete libtool library

* Wed Dec 06 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.8.0-1m)
- update to 2.8.0

* Sat Sep  2 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.7.7-3m)
- rebuild against dbus-0.92

* Wed Jun  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.7.7-2m)
- delete icon-theme.cache

* Sun Jun  4 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.7.7-1m)
- update to 2.7.7
- import patch0 from FC (modify for this version)

* Sun Apr 23 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.6.9-1m)
- update to 2.6.9

* Sun Apr  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.6.5-3m)
- rebuild agenst gnome-vfs

* Sat Dec 3 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.6.5-2m)
- rebuild agenst libexif-0.6.12-1m

* Tue May 31 2005 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.6.5-1m)
- 2.6.5 has been released.

* Sat Dec 11 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.6.1-2m)
- BuildPreReq: libtool >= 1.5.10 ("so jya nai" problem)

* Mon Nov 22 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.6.1-1m)
- update to 2.6.1

* Sun Oct 31 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.6.0.1-1m)
- update to 2.6.0

* Sat May  8 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.3.3-1m)
- update to 2.3.3

* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (2.2.1-2m)
- revised spec for enabling rpm 4.2.

* Fri Feb  6 2004 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (2.2.1-1m)
- update to 2.2.1

* Sat Dec 20 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (2.2.0-1m)
- update to 2.2.0

* Mon Dec 15 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (2.1.9-1m)
- update to 2.1.9

* Sun Nov 23 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.1.7-2m)
- s/Copyright:/License:/

* Thu Oct 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.7-1m)
- version 2.1.7

* Tue Oct 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.6-1m)
- version 2.1.6

* Tue Aug 19 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.5-1m)
- version 2.1.5

* Sat Aug 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.4-1m)
- version 2.1.4

* Wed Aug 6 2003 Yuya Yamaguchi <bebe@hepo.jp>
- (2.1.3-2m)
- rebuild against libexif-0.5.12

* Tue Jul 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.3-1m)
- version 2.1.3

* Thu May 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.2-1m)
- version 2.1.2

* Mon Mar 17 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.1-2m)
- rebuild against for XFree86-4.3.0

* Mon Mar 17 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.1-1m)
- version 2.1.1

* Sat Mar  8 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.1.0-2m)
  rebuild against openssl 0.9.7a

* Mon Mar 03 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.0-1m)
- version 2.1.0

* Tue Jan 28 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.1-1m)
- version 2.0.1

* Wed Jan 22 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.0-1m)
- version 2.0.0

* Tue Jan 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.108-1m)
- version 1.108

* Fri Dec 27 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.107-1m)
- version 1.107

* Mon Dec 23 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.106-2m)
- for autoconf-2.56

* Mon Dec 02 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.106-1m)
- version 1.106

* Mon Nov 18 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.105-1m)
- version 1.105

* Tue Aug 13 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.103-2m)
- s/BuileRequires/BuildPrereq/
- remove Vendor,Packager tag
- change BuildPrereq packages
- change BuildRoot
- grab %{_datadir}/gthumb directory
- add scrollkeeper-omf file
- add Prereq: scrollkeeper

* Mon Aug 12 2002 Kentarou Shionhara <puntium@momonga-linux.org>
- (1.103-1m)
- version update to 1.103

* Wed Jul 31 2002 Kentarou Shinohara <puntium@momonga-linux.org>
- (1.102-1m)
- initial import into Momonga HEAD
